commit:     878d23322e0a0d119242da7dd193cf34a92e9985
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 10 15:20:48 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 10 15:20:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=878d2332

net-misc/netifrc: add 0.7.6

Bug: https://bugs.gentoo.org/889922
Bug: https://bugs.gentoo.org/893290
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/netifrc/Manifest                              |  1 +
 .../{netifrc-9999.ebuild => netifrc-0.7.6.ebuild}      | 18 +++++++++++-------
 net-misc/netifrc/netifrc-9999.ebuild                   | 18 +++++++++++-------
 3 files changed, 23 insertions(+), 14 deletions(-)

diff --git a/net-misc/netifrc/Manifest b/net-misc/netifrc/Manifest
index 784257b264ae..32fcb8793c28 100644
--- a/net-misc/netifrc/Manifest
+++ b/net-misc/netifrc/Manifest
@@ -1,3 +1,4 @@
 DIST netifrc-0.7.3.tar.gz 84770 BLAKE2B 
075440bfd81e4dedd406d9555a18f530b07a47f9268130ebcca6d43d35e9cc5f01105a3eb0ddc084a16e17912aa10e378833b1eef1defd2fc6b22f817cd220bd
 SHA512 
a82ac6835c15763becb5845a8c8d90dfd8d6c289ea5e00b0d7ae332d3e7ad6797f0fdcbf27bb9f44ff345c98884cdfa13210c76089585b8dd9970ded5f6236d8
 DIST netifrc-0.7.4.tar.bz2 75487 BLAKE2B 
3ac3114ee4fb538c620284d02d3c1a0adc905f349ab40e7ff7065a4837113a36824b3962511160d997fc3a85701d55d569d8ac6b6b00c4665281d5b765827f76
 SHA512 
4934e2b7247a65847eed3a0f982c1c3996c486d7cb1cb401c29d8a6ea36eb94930a64e1cb84ff6ffdfb305e75f369fe6834062fcbb5e1d77d9f336d6592f3dff
 DIST netifrc-0.7.5.tar.gz 86884 BLAKE2B 
6ca9b8034fe69767910814021df783710cf6b6a4edb5a877142e6be67b57556fee2e9e3fefb8d22c03b1460ce45bf7e490a1a0862dd6ce7b9beb247c942341b0
 SHA512 
a043df2850362da5f6d8620c4c76ca0644e97c64c0223bfe50e31d20fd8a3e5cf8afa1234d99946631868eab77a8816d24f8cb05b3e4cf4bec101478d162e8a4
+DIST netifrc-0.7.6.tar.gz 86771 BLAKE2B 
814e97630a84a2f9531aa81754f3ea20a561f19d055e4a6652a1374925c4ff99996e7279e161a817e3c50059b2c40b7b1a7602bad3dbcb68836882e4fe5ad754
 SHA512 
ec8d44254106a38b16c500002ef33a5064db40db565cef7b7499d38c7636f2b9c01305329d77ac6298621f3b55a1401345c108374a691ae41129b8fe9d5a7e35

diff --git a/net-misc/netifrc/netifrc-9999.ebuild 
b/net-misc/netifrc/netifrc-0.7.6.ebuild
similarity index 86%
copy from net-misc/netifrc/netifrc-9999.ebuild
copy to net-misc/netifrc/netifrc-0.7.6.ebuild
index 67e26c8b1ccf..f0edbfcf57dd 100644
--- a/net-misc/netifrc/netifrc-9999.ebuild
+++ b/net-misc/netifrc/netifrc-0.7.6.ebuild
@@ -1,16 +1,18 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit systemd udev
 
 DESCRIPTION="Gentoo Network Interface Management Scripts"
 HOMEPAGE="https://www.gentoo.org/proj/en/base/openrc/";
 
-if [[ ${PV} == "9999" ]]; then
-       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/netifrc.git";
-       #EGIT_REPO_URI="https://github.com/gentoo/${PN}"; # Alternate
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="
+               https://anongit.gentoo.org/git/proj/netifrc.git
+               https://github.com/gentoo/${PN}
+       "
        inherit git-r3
 else
        SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.gz";
@@ -21,13 +23,15 @@ LICENSE="BSD-2"
 SLOT="0"
 IUSE="+dhcp"
 
-RDEPEND="sys-apps/gentoo-functions
+RDEPEND="
+       sys-apps/gentoo-functions
        >=sys-apps/openrc-0.15
-       dhcp? ( || ( net-misc/dhcpcd net-misc/dhcp[client] ) )"
+       dhcp? ( || ( net-misc/dhcpcd net-misc/dhcp[client] ) )
+"
 BDEPEND="kernel_linux? ( virtual/pkgconfig )"
 
 src_prepare() {
-       if [[ ${PV} == "9999" ]] ; then
+       if [[ ${PV} == 9999 ]] ; then
                local ver="git-${EGIT_VERSION:0:6}"
                sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/git.mk || die
                einfo "Producing ChangeLog from Git history"

diff --git a/net-misc/netifrc/netifrc-9999.ebuild 
b/net-misc/netifrc/netifrc-9999.ebuild
index 67e26c8b1ccf..f0edbfcf57dd 100644
--- a/net-misc/netifrc/netifrc-9999.ebuild
+++ b/net-misc/netifrc/netifrc-9999.ebuild
@@ -1,16 +1,18 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit systemd udev
 
 DESCRIPTION="Gentoo Network Interface Management Scripts"
 HOMEPAGE="https://www.gentoo.org/proj/en/base/openrc/";
 
-if [[ ${PV} == "9999" ]]; then
-       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/netifrc.git";
-       #EGIT_REPO_URI="https://github.com/gentoo/${PN}"; # Alternate
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="
+               https://anongit.gentoo.org/git/proj/netifrc.git
+               https://github.com/gentoo/${PN}
+       "
        inherit git-r3
 else
        SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.gz";
@@ -21,13 +23,15 @@ LICENSE="BSD-2"
 SLOT="0"
 IUSE="+dhcp"
 
-RDEPEND="sys-apps/gentoo-functions
+RDEPEND="
+       sys-apps/gentoo-functions
        >=sys-apps/openrc-0.15
-       dhcp? ( || ( net-misc/dhcpcd net-misc/dhcp[client] ) )"
+       dhcp? ( || ( net-misc/dhcpcd net-misc/dhcp[client] ) )
+"
 BDEPEND="kernel_linux? ( virtual/pkgconfig )"
 
 src_prepare() {
-       if [[ ${PV} == "9999" ]] ; then
+       if [[ ${PV} == 9999 ]] ; then
                local ver="git-${EGIT_VERSION:0:6}"
                sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/git.mk || die
                einfo "Producing ChangeLog from Git history"

Reply via email to